Log a UI screen open event.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/audit/ui/screens"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"ScreenKey\": \"example\", \"EntityType\": \"example\", \"EntityId\": \"example\", \"EntityName\": \"example\", \"WorkspaceUiPageKey\": \"example\", \"WorkspaceUiArtifactId\": \"example\", \"WorkspaceUiArtifactHash\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/audit/ui/screens';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ScreenKey":"example","EntityType":"example","EntityId":"example","EntityName":"example","WorkspaceUiPageKey":"example","WorkspaceUiArtifactId":"example","WorkspaceUiArtifactHash":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/audit/ui/screens \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ScreenKey": "example", "EntityType": "example", "EntityId": "example", "EntityName": "example", "WorkspaceUiPageKey": "example", "WorkspaceUiArtifactId": "example", "WorkspaceUiArtifactHash": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request payload for logging a UI screen view.
object
Stable key of the UI screen.
Optional entity type associated with the screen.
Optional entity id associated with the screen.
Optional entity display name associated with the screen.
Workspace UI page key for the fixed Workspace UI screen.
Workspace UI artifact identity for the fixed Workspace UI screen.
Workspace UI artifact hash for the fixed Workspace UI screen.
Examplegenerated
{ "ScreenKey": "example", "EntityType": "example", "EntityId": "example", "EntityName": "example", "WorkspaceUiPageKey": "example", "WorkspaceUiArtifactId": "example", "WorkspaceUiArtifactHash": "example"}Request payload for logging a UI screen view.
object
Stable key of the UI screen.
Optional entity type associated with the screen.
Optional entity id associated with the screen.
Optional entity display name associated with the screen.
Workspace UI page key for the fixed Workspace UI screen.
Workspace UI artifact identity for the fixed Workspace UI screen.
Workspace UI artifact hash for the fixed Workspace UI screen.
Examplegenerated
{ "ScreenKey": "example", "EntityType": "example", "EntityId": "example", "EntityName": "example", "WorkspaceUiPageKey": "example", "WorkspaceUiArtifactId": "example", "WorkspaceUiArtifactHash": "example"}Request payload for logging a UI screen view.
object
Stable key of the UI screen.
Optional entity type associated with the screen.
Optional entity id associated with the screen.
Optional entity display name associated with the screen.
Workspace UI page key for the fixed Workspace UI screen.
Workspace UI artifact identity for the fixed Workspace UI screen.
Workspace UI artifact hash for the fixed Workspace UI screen.
Examplegenerated
{ "ScreenKey": "example", "EntityType": "example", "EntityId": "example", "EntityName": "example", "WorkspaceUiPageKey": "example", "WorkspaceUiArtifactId": "example", "WorkspaceUiArtifactHash": "example"}Responses
Section titled “Responses”OK
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}